VERSION 5.00
Begin VB.Form Form1 
   Caption         =   "REWIND TAPE"
   ClientHeight    =   3000
   ClientLeft      =   7155
   ClientTop       =   5565
   ClientWidth     =   6615
   LinkTopic       =   "Form1"
   ScaleHeight     =   3000
   ScaleWidth      =   6615
   Begin VB.Frame Frame1 
      Caption         =   "Rewind Tape"
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   8.25
         Charset         =   0
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   2775
      Left            =   120
      TabIndex        =   0
      Top             =   120
      Width           =   6375
      Begin VB.CommandButton cmdStart 
         Caption         =   "Start"
         BeginProperty Font 
            Name            =   "MS Sans Serif"
            Size            =   8.25
            Charset         =   0
            Weight          =   700
            Underline       =   0   'False
            Italic          =   0   'False
            Strikethrough   =   0   'False
         EndProperty
         Height          =   375
         Left            =   2760
         TabIndex        =   7
         Top             =   1200
         Width           =   975
      End
      Begin VB.TextBox txtLUN 
         Height          =   285
         Left            =   4560
         TabIndex        =   6
         Top             =   600
         Width           =   975
      End
      Begin VB.TextBox txtTarget 
         Height          =   285
         Left            =   2760
         TabIndex        =   5
         Top             =   600
         Width           =   975
      End
      Begin VB.TextBox txtHA 
         Height          =   285
         Left            =   720
         TabIndex        =   4
         Top             =   600
         Width           =   975
      End
      Begin VB.Label lblStatus 
         BeginProperty Font 
            Name            =   "Arial"
            Size            =   8.25
            Charset         =   0
            Weight          =   700
            Underline       =   0   'False
            Italic          =   0   'False
            Strikethrough   =   0   'False
         EndProperty
         Height          =   255
         Left            =   120
         TabIndex        =   8
         Top             =   2040
         Width           =   6015
      End
      Begin VB.Label Label3 
         Caption         =   "LUN"
         BeginProperty Font 
            Name            =   "MS Sans Serif"
            Size            =   8.25
            Charset         =   0
            Weight          =   700
            Underline       =   0   'False
            Italic          =   0   'False
            Strikethrough   =   0   'False
         EndProperty
         Height          =   255
         Left            =   3960
         TabIndex        =   3
         Top             =   600
         Width           =   375
      End
      Begin VB.Label Label2 
         Caption         =   "Target"
         BeginProperty Font 
            Name            =   "MS Sans Serif"
            Size            =   8.25
            Charset         =   0
            Weight          =   700
            Underline       =   0   'False
            Italic          =   0   'False
            Strikethrough   =   0   'False
         EndProperty
         Height          =   255
         Left            =   1920
         TabIndex        =   2
         Top             =   600
         Width           =   615
      End
      Begin VB.Label Label1 
         Caption         =   "HA"
         BeginProperty Font 
            Name            =   "MS Sans Serif"
            Size            =   8.25
            Charset         =   0
            Weight          =   700
            Underline       =   0   'False
            Italic          =   0   'False
            Strikethrough   =   0   'False
         EndProperty
         Height          =   255
         Left            =   240
         TabIndex        =   1
         Top             =   600
         Width           =   375
      End
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Private Sub cmdStart_Click()

    Dim lngTapeBlockSize As Long
    Dim intRetVal As Integer
    Dim intLoopy As Integer
    Dim lngHA As Long
    Dim lngTarget As Long
    Dim lngLUN As Long
    Dim strNL As String

    strNL = Chr(10)

    lngHA = txtHA.Text
    lngTarget = txtTarget.Text
    lngLUN = txtLUN.Text
    
    lblStatus.Caption = ""
    
    If txtHA.Text = "" Then
    
        MsgBox "You must select a HA."
        txtHA.SetFocus
        Exit Sub
        
    ElseIf txtTarget.Text = "" Then
    
        MsgBox "You must select a target."
        txtTarget.SetFocus
        Exit Sub
        
    ElseIf txtLUN.Text = "" Then
    
        MsgBox "You must select a LUN."
        txtLUN.SetFocus
        Exit Sub
        
    End If
    
    intRetVal = VBSCSIGetDeviceType(lngHA, lngTarget, lngLUN)
    
    If intRetVal <> 1 Then
    
        MsgBox "The target you have selected is not magnetic tape media! Please Select again."
        txtTarget.SetFocus
        Exit Sub
        
    Else
    
        intRetVal = VBSCSITapeRewind(lngHA, lngTarget, lngLUN, 0)
        DoEvents
        intRetVal = VBSCSIGetTapeCapacity(lngHA, lngTarget, lngLUN, lngTapeBlockSize)
        DoEvents
        
        If lngTapeBlockSize <> 32768 Then
        
            lblStatus.Caption = "Tape Block Size =  " & lngTapeBlockSize & ".    " & " Changing to 32768..."
            
            intRetVal = VBSCSISetTapeBlocksize(lngHA, lngTarget, lngLUN, 32768)
            DoEvents
            
            intRetVal = VBSCSITapeWFM(lngHA, lngTarget, lngLUN)
            DoEvents
            
            intRetVal = VBSCSITapeRewind(lngHA, lngTarget, lngLUN, 0)
            DoEvents
            
            intRetVal = VBSCSIGetTapeCapacity(lngHA, lngTarget, lngLUN, lngTapeBlockSize)
            DoEvents
            
        End If
        
        lblStatus.Caption = "TapeBlockSize =  " & lngTapeBlockSize
        
        intRetVal = VBSCSIFillPattern(0, 2)
        DoEvents
        
        lblStatus.Caption = "Writing 100 blocks..."
        
        For intLoopy = 0 To 100
        
            intRetVal = VBSCSITapeWriteF(lngHA, lngTarget, lngLUN, 1, 0)
            DoEvents
            
        Next
        
        lblStatus.Caption = "Wrote 100 Blocks"
        lblStatus.Caption = "Writing FileMarker..."
        
        intRetVal = VBSCSITapeWFM(lngHA, lngTarget, lngLUN)
        DoEvents
        
        lblStatus.Caption = "Wrote FileMarker"
        lblStatus.Caption = "Rewinding Tape..."
        
        intRetVal = VBSCSITapeRewind(lngHA, lngTarget, lngLUN, 0)
        DoEvents
        
        lblStatus.Caption = "Tape Rewound"
        
        For intLoopy = 0 To 100
        
            intRetVal = VBSCSITapeReadF(lngHA, lngTarget, lngLUN, 1, 0)
            DoEvents
            lblStatus.Caption = "Reading 100 blocks..."
            
        Next
        
        lblStatus.Caption = "Read 100 blocks"
        
        intRetVal = VBSCSITapeFSR(lngHA, lngTarget, lngLUN)
        DoEvents
        
        lblStatus.Caption = "File Space Reverse..."
        
        intRetVal = VBSCSITapeFSR(lngHA, lngTarget, lngLUN)
        DoEvents
    
        intRetVal = VBSCSITapeFSF(lngHA, lngTarget, lngLUN)
        DoEvents
        
        lblStatus.Caption = "File Space Forward..."
        
        intRetVal = VBSCSITapeRewind(lngHA, lngTarget, lngLUN, 0)
        DoEvents
        
        lblStatus.Caption = "Rewinding Tape..."
        
        intRetVal = VBSCSITapeSpaceEOD(lngHA, lngTarget, lngLUN)
        DoEvents
        
        lblStatus.Caption = "Space EOD. Test Complete."
        
    End If
        
End Sub

